Commit 8adbf0b3 authored by Jérémy VIGNELLES's avatar Jérémy VIGNELLES Committed by Martin Finkel

Updated linux documentation

parent 28c62af6
# Getting started on LibVLCSharp.Gtk for Linux
# Getting started on LibVLCSharp for Linux
[Back](home.md)
_This procedure was tested on ubuntu 18.10. If you have another distribution, make sure that all requirements are available, and adapt the following commands_
_This procedure was tested on ubuntu 20.10. If you have another distribution, make sure that all requirements are available, and adapt the following commands_
1. Install **[Mono](https://www.mono-project.com/download/stable/#download-lin)**. Make sure you can invoke `msbuild`.
1. Install the [.net core SDK](https://docs.microsoft.com/en-us/dotnet/core/install/linux)
2. Install **libvlc**:
For ubuntu:
> `apt-get install libvlc-dev`.
> `sudo apt install libvlc-dev`.
*`libvlc.so` and `libvlccore.so` will be located at `/usr/lib`.*
Should you want to load the libvlc libraries from another location than `/usr/lib`, you'd need to set `LD_LIBRARY_PATH`.
You may need:
> `apt-get install vlc`
> `sudo apt install vlc`
Though note this might pull libvlc 2.x depending on the repository and distro you pull it from.
## For [gtk-sharp](https://github.com/mono/gtk-sharp)
3. Install **gtk-sharp** (or monodevelop which uses it)
Install **gtk-sharp** (or monodevelop which uses it)
For ubuntu:
> `apt-get install gtk-sharp2`
> `sudo apt install gtk-sharp2`
Should you want to load the libvlc libraries from another location than `/usr/lib`, you'd need to set `LD_LIBRARY_PATH`.
\ No newline at end of file
## For other platforms
If your application doesn't find `libX11.so`, you may need to install the `libx11-dev` package :
> `sudo apt install libx11-dev`
\ No newline at end of file
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment